curl --request POST \
--url https://api.amplemarket.com/companies/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_names": [
"<string>"
],
"company_exclude_names": [
"<string>"
],
"company_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"company_exclude_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"company_locations": [
"<string>"
],
"company_exclude_locations": [
"<string>"
],
"company_domains": [
"<string>"
],
"company_exclude_domains": [
"<string>"
],
"company_linkedin_urls": [
"<string>"
],
"company_exclude_linkedin_urls": [
"<string>"
],
"company_domains_match_subsidiaries_and_affiliates": true,
"company_focuses": [],
"company_types": [],
"company_sizes": [],
"company_industries": [
"<string>"
],
"company_exclude_industries": [
"<string>"
],
"company_investors": [
"<string>"
],
"company_shares_investors_with": [
"<string>"
],
"company_keywords": [
"<string>"
],
"company_exclude_keywords": [
"<string>"
],
"company_revenue": [],
"company_founded_date": {
"min": 123,
"max": 123
},
"company_web_traffic_rank": {
"min": 123,
"max": 123
},
"job_openings": {
"titles": [
"<string>"
]
},
"news": {
"categories": [
"<string>"
],
"range_months": 123
},
"headcount_growth": {
"growth_rates": [
{
"min": 123,
"max": 123
}
]
},
"crm_account_owner": [
"jsmith@example.com"
],
"company_last_funding": {
"round_type": [],
"range_months": 123
},
"company_linkedin_presence": [],
"page": 1,
"page_size": 5
}
'import requests
url = "https://api.amplemarket.com/companies/search"
payload = {
"company_names": ["<string>"],
"company_exclude_names": ["<string>"],
"company_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"company_exclude_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"company_locations": ["<string>"],
"company_exclude_locations": ["<string>"],
"company_domains": ["<string>"],
"company_exclude_domains": ["<string>"],
"company_linkedin_urls": ["<string>"],
"company_exclude_linkedin_urls": ["<string>"],
"company_domains_match_subsidiaries_and_affiliates": True,
"company_focuses": [],
"company_types": [],
"company_sizes": [],
"company_industries": ["<string>"],
"company_exclude_industries": ["<string>"],
"company_investors": ["<string>"],
"company_shares_investors_with": ["<string>"],
"company_keywords": ["<string>"],
"company_exclude_keywords": ["<string>"],
"company_revenue": [],
"company_founded_date": {
"min": 123,
"max": 123
},
"company_web_traffic_rank": {
"min": 123,
"max": 123
},
"job_openings": { "titles": ["<string>"] },
"news": {
"categories": ["<string>"],
"range_months": 123
},
"headcount_growth": { "growth_rates": [
{
"min": 123,
"max": 123
}
] },
"crm_account_owner": ["jsmith@example.com"],
"company_last_funding": {
"round_type": [],
"range_months": 123
},
"company_linkedin_presence": [],
"page": 1,
"page_size": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_names: ['<string>'],
company_exclude_names: ['<string>'],
company_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
company_exclude_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
company_locations: ['<string>'],
company_exclude_locations: ['<string>'],
company_domains: ['<string>'],
company_exclude_domains: ['<string>'],
company_linkedin_urls: ['<string>'],
company_exclude_linkedin_urls: ['<string>'],
company_domains_match_subsidiaries_and_affiliates: true,
company_focuses: [],
company_types: [],
company_sizes: [],
company_industries: ['<string>'],
company_exclude_industries: ['<string>'],
company_investors: ['<string>'],
company_shares_investors_with: ['<string>'],
company_keywords: ['<string>'],
company_exclude_keywords: ['<string>'],
company_revenue: [],
company_founded_date: {min: 123, max: 123},
company_web_traffic_rank: {min: 123, max: 123},
job_openings: {titles: ['<string>']},
news: {categories: ['<string>'], range_months: 123},
headcount_growth: {growth_rates: [{min: 123, max: 123}]},
crm_account_owner: ['jsmith@example.com'],
company_last_funding: {round_type: [], range_months: 123},
company_linkedin_presence: [],
page: 1,
page_size: 5
})
};
fetch('https://api.amplemarket.com/companies/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Search companies
Search companies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Parameters to use for searching companies.
b2b, b2c Public Company, Educational, Self Employed, Government Agency, Non Profit, Self Owned, Privately Held, Partnership 1-10 employees, 11-50 employees, 51-200 employees, 201-500 employees, 501-1000 employees, 1001-5000 employees, 5001-10000 employees, 10001+ employees Available options: Supported industries
Available options: Supported industries
Array of investor names. Filter for companies that have received investment by any of the specified investors.
Array of company names. Filter for companies that share one or more common investors with the specified companies.
Keywords to search in the company description. Matches any keyword by default.
Keywords to exclude from the company description.
Filter by estimated revenue range.
$0-$1M, $1M-$10M, $10M-$100M, $100M-$1B, $1B+ Filter by founding year range.
Show child attributes
Show child attributes
Filter by web traffic rank. Lower rank means more traffic.
Show child attributes
Show child attributes
Filter by companies with matching open positions.
Show child attributes
Show child attributes
Filter by recent company news.
Show child attributes
Show child attributes
Filter by total headcount growth percentage over a time period.
Show child attributes
Show child attributes
Filter by CRM account owner emails. Requires a connected CRM integration (Salesforce or HubSpot). Returns an error if no owners match the provided emails.
Filter by last funding round.
Show child attributes
Show child attributes
Filter by the company's LinkedIn follower tier. Supported values: massive — Massive following (100,000+ followers), large — Large following (10,000 - 99,999 followers), moderate — Moderate following (1,000 - 9,999 followers), limited — Limited following (1 - 999 followers), none — No following (0 followers). All ranges are inclusive.
large, limited, massive, moderate, none Number of results per page. Values greater than 50 are accepted and capped at 50.
x >= 1Was this page helpful?